#!/bin/sh
case "$1" in
	"latex")
		make fonts

		for presi in latex/*;do
			for file in $presi/*.svg;do
				[ -e "$file" ] && make "${file%.svg}".eps
			done

			[ -e "$presi/index.tex" ] && make "$presi/index.pdf"
		done

		true
		;;
	"libreoffice")
		for presi in latex/* revealjs/*;do
			[ -e "$presi/handout.odt" ] && make "$presi/handout.pdf"
		done
		;;
	"revealjs")
		make revealjs/node_modules

		for presi in revealjs/*;do
			[ -e "$presi/index.html" ] && make "$presi/index.pdf"
		done
		;;
	*)
		echo "USAGE: $0 [MODE]"
		echo "modes: latex libreoffice revealjs"
		;;
esac
